# Default values for CDB app.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

## The global properties are used to configure multiple charts at once.
## Extended documentation at doc/charts/globals.md
namespace : yoann-robinet
nameOverride: cdb-staging
api:
  enabled: true
  image:
    repository: registry.master3.takima.io/guide/kubernetes-resources/api
    tag: latest
  serviceName: api
  servicePort: 80
  replicaCount: 1
  ingress:
    tls:
      enabled: true
    host: api-staging.yoann-robinet.takima.cloud

front:
  enabled: true
  image:
    repository: registry.master3.takima.io/guide/kubernetes-resources/front
    tag: latest
  serviceName: front
  servicePort: 80
  replicaCount: 1
  ingress:
    enabled: true
    host: staging.yoann-robinet.takima.cloud
    tls:
      enabled: true

db:
  enabled: true
  image:
    repository: registry.master3.takima.io/guide/kubernetes-resources/db
    tag: latest
  name: "cdb-db"
  path: "/var/lib/postgresql/data/pgdata"
  serviceName: db
  servicePort: 5432
  pvc:
    storageClass: gp2
    size: 512Mi
  credentials:
    user: cdb
    pwd: cdb123

